const fs = require("fs"),
path = require("path")

var configsPath = path.join(__dirname, "config")
var confPath = path.join(configsPath, "config.json")

if (!fs.existsSync(configsPath)) {
    fs.mkdirSync(configsPath)
}

if (!fs.existsSync(confPath)) {
    console.log("It would appear you have not created a config file yet! Generating one now.")
    fs.cpSync(path.join(__dirname, "defaults/config.json"), confPath)
    console.log("Done!")
}